import { ChangedFile, Context } from "@code-engine/types";
import { NormalizedConfig } from "./normalize-config";
/**
 * Watches the filesystem and yields any changes that are detected.
 */
export declare function watch(config: NormalizedConfig): {
    /**
     * Starts watching the filesystem for changes.
     */
    startWatching(context: Context): Promise<AsyncIterableIterator<ChangedFile>>;
    /**
     * Stops watching the filesystem for changes.
     */
    stopWatching(): Promise<void>;
};
